%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global packagename portfinder

Name:       nodejs-%{packagename}
Version:    1.0.13
Release:    5%{?dist}
Summary:    A simple tool to find an open port or domain socket on the current machine
License:    MIT
URL:        https://github.com/indexzero/node-%{packagename}
Source0:    https://github.com/indexzero/node-%{packagename}/archive/v%{version}.tar.gz

# https://github.com/indexzero/node-portfinder/pull/56
Patch0:     https://patch-diff.githubusercontent.com/raw/indexzero/node-portfinder/pull/56.patch

BuildArch:  noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(vows)
BuildRequires:  npm(async)
BuildRequires:  npm(debug)
BuildRequires:  npm(mkdirp)
%endif

%description
A simple tool to find an open port or domain socket on the current machine.

%prep
%autosetup -n node-%{packagename}-%{version} -p1

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
vows test/*-test.js --spec
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 03 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.0.13-3
- Fix tests hanging by using upstream submitted patch by tomh

* Wed May 03 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.0.13-2
- Enable tests and use github source

* Mon Apr 24 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.0.13-1
- initial package
